PARSER(1)

NAME
parser3 - Command Line and CGI interface for Parser 3 Language.

SYNOPSIS
parser3 [-h] [-c conffile] file

DESCRIPTION
Parse and execute file in Parser 3 language.

Parser checks for configuration settings in the auto.p file beside of the binary (in the directory with CGI-script itself) and then in the default system-wide auto.p file, if neither option -c or environment variable CGI_PARSER_CONFIG is specified.

Parser makes records about errors to error log file parser3.log, which is implicitly located in the same directory where parser3 CGI script is. If Parser is not allowed to write to that file, errors are reported to standard error stream.

OPTIONS
A summary of options is included below.

-h  Display usage information.

-c conffile
    Use this conffile (/path/to/auto.p).

ENVIRONMENT VARIABLES
Parser3 checks environment variable CGI_PARSER_CONFIG if option -c is not specified.

If you would rather change implicit location of parser3.log, you can explicitly specify it via stderr redirection or environment variable CGI_PARSER_LOG.

FILES

/etc/parser3/auto.p
    default parser3 configuration file

SEE ALSO
For more complete description of Parser3, look here: http://www.parser.ru/en/

AUTHOR
parser3 was written by Alexandr Petrosian <paf@design.ru>.

This manual page was written by Sergey B Kirpichev <skirpichev@gmail.com>, for the Debian project (but may be used by others).